Site fixes - Feature #127

[Box] Support v type URLs
09/14/2022 02:40 AM - jacobk

Status: Closed Start date: 09/13/2022
Priority: Low Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

All it takes to do this is to add "https://.app.box.com/v/' to the matched URL patterns (in addition to "https://.app.box.com/s/").
I'm not sure what the difference between these 2 URL schemes is supposed to be (I haven't looked at how the official app displays
them.), but the existing fix seems to work well with the v URLs already.

| have uploaded a commit that adds these patterns here:
https://codeberg.org/JacobK/hydrilla-fixes-bundle/commit/42a4a3998c54a0faa30e0d9bb829a75055199fb6

(While looking for public test cases for this, | also found an f type URL (
https://dronepadmedia.app.box.com/f/a14b5488396345¢c3ab0466d805636b83), a folder (
https://app.box.com/s/5fb14p1yyjhak97rgbmksy81a2f5nehn), and a folder inside a folder (https://app.box.com/v/b00ks).)

History

#1 - 09/14/2022 03:19 AM - jacobk

Oops, | didn't change the version number of the mapping_and_resource, here's an updated commit:
https://codeberg.org/JacobK/hydrilla-fixes-bundle/commit/b24bcf3346¢3d2662605821886da7351f6704974

#2 - 09/17/2022 08:47 PM - koszko
- Subject changed from [Box] Support s type URLs to [Box] Support v type URLs

Thanks, | applied your change.

| am unfortunately not going to work on supporting folders rn as | need to prioritize other things. Feel free to open a new issue in case you resolve it
by yourself, I'm closing this one :)

#3 - 09/17/2022 09:13 PM - koszko
- % Done changed from 0 to 100

- Status changed from New to Closed

#4 - 10/29/2022 05:25 AM - jacobk

Based on the presence of postStreamDatal["/app-api/enduserapp/shared-item"].vanityName, | think the v stands for "vanity", and | think the only
difference is in how the URL is displayed. Vanity URLs have a sharedName also, and you can make a URL from this, but it is a redirect to the vanity
URL.
